#
# spec file for package nagios-plugins-nis
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           nagios-plugins-nis
Summary:        Nagios plugin to check the status of a NIS server on a specified host and NIS domain
Version:        1.1
Release:        1.1
Url:            http://www.nagiosexchange.org/cgi-bin/page.cgi?g=Detailed/2133.html;d=1
License:        GPL v2 only
Group:          System/Monitoring
Source0:        check_nis_%version
Requires:       yp-tools
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
Nagios plugin (script) to check the status of a NIS server on a specified host
and NIS domain by asking NIS server for "passwd.byname".

As an additional check, a username may be specified which will then be "looked
up" on the NIS server, note that this is optional and only introduced in v1.1

Script returns OK if it gets an acceptable answer, CRITICAL if not.

This *nix script has been designed and written for the lowest common
denominator of shells (sh), uses yppoll, ypcat and grep as external commands. 

Authors:
--------
    Paladin


%prep

%build

%install
mkdir -p %buildroot/%libexecdir
sed -e "s|/usr/local/nagios/libexec|%libexecdir|g; \
		s|FLAG_VERBOSE=FALSE|unset LANG;\n\nFLAG_VERBOSE=FALSE|g" %{SOURCE0} > %buildroot/%libexecdir/check_nis
chmod +x %buildroot/%libexecdir/check_nis

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/check_nis

%changelog
* Fri Jul 25 2008 lrupp@suse.de
- initial version 1.1
